ALAS2-2018-1087


Amazon Linux 2 Security Advisory: ALAS-2018-1087
Advisory Release Date: 2018-10-10 00:08 Pacific
Severity: Important
References: CVE-2018-14634 

Issue Overview:

NOTE: CVE-2018-14634 was already fixed in the 4.14 kernel released with the Amazon Linux 2 LTS release. The advisory release date does not accurately reflect the date this was fixed.

An integer overflow flaw was found in the Linux kernel's create_elf_tables() function. An unprivileged local user with access to SUID (or otherwise privileged) binary could use this flaw to escalate their privileges on the system. This issue has been give the code name Mutagen Astronomy.(CVE-2018-14634 )


Affected Packages:

kernel


Issue Correction:
If you are already running a 4.14 kernel, no action is required.
If you are running an older kernel, run yum update kernel and reboot your instance to update your system.

New Packages:
src:
    kernel-4.14.15-46.13.amzn2.src

x86_64:
    kernel-4.14.15-46.13.amzn2.x86_64
    kernel-headers-4.14.15-46.13.amzn2.x86_64
    kernel-debuginfo-common-x86_64-4.14.15-46.13.amzn2.x86_64
    perf-4.14.15-46.13.amzn2.x86_64
    perf-debuginfo-4.14.15-46.13.amzn2.x86_64
    python-perf-4.14.15-46.13.amzn2.x86_64
    python-perf-debuginfo-4.14.15-46.13.amzn2.x86_64
    kernel-tools-4.14.15-46.13.amzn2.x86_64
    kernel-tools-devel-4.14.15-46.13.amzn2.x86_64
    kernel-tools-debuginfo-4.14.15-46.13.amzn2.x86_64
    kernel-devel-4.14.15-46.13.amzn2.x86_64
    kernel-debuginfo-4.14.15-46.13.amzn2.x86_64